package com.sw.mes.wms.event;

import com.sw.mes.wms.dto.SendFinshOrderDto;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

/**
 * 已完成排产订单下发事件
 * @Author: GaoXinJian
 * @Date: 2022-02-07 17:42
 */
@Getter
public class FinshOrderEvent extends ApplicationEvent {
    SendFinshOrderDto sendFinshOrderDto;
    public FinshOrderEvent(Object source,SendFinshOrderDto sendFinshOrderDto) {
        super(source);
        if (sendFinshOrderDto==null){
            throw new IllegalArgumentException("null rankResultDto");
        }
        this.sendFinshOrderDto=sendFinshOrderDto;
    }
}
